import {FakeCanonical} from './FakeCanonical.ts'
import Middleware from '../http/Middleware.ts'
import {Unit} from '../lifecycle/decorators.ts'
import StaticServer from '../http/system_middleware/StaticServer.ts'

@Unit()
export default class DatonMiddleware extends FakeCanonical<Middleware> {
    protected canonical_item = 'daton'

    public async up() {
        await super.up()
        this._items['static'] = this.make(StaticServer)
    }
}
