/**
 * Query builder helper that represents a string that should be directly interpolated
 * into the SQL of a given query, without being escaped.
 */
export default class RawValue {
    constructor(
        /**
         * The value to be interpolated.
         * @type string
         * @readonly
         */
        public readonly value: string
    ) {}
}
