import {Join} from './Join.ts'
import {JoinOperator} from '../../types.ts'

/**
 * Query builder class which builds FULL OUTER JOINs.
 * @extends Join
 */
export class FullOuterJoin extends Join {
    public readonly operator: JoinOperator = 'FULL OUTER JOIN'
}
